

CREATE VIEW ALL_CUSTOMERS_WITH_ACCOUNT AS
	SELECT 
		c.FIRST_NAME, c.LAST_NAME, c.USER_NAME, c.PASSWORD, c.EMAIL, c.EMPLOYMEE_ROLE, 
		a.ACCOUNT_NUMBER , a.CURRENT_BALANCE, a.ACCOUNT_STATUS 
	FROM CUSTOMER c 
	LEFT JOIN ACCOUNT a 
	ON c.CUSTOMER_ID = a.CUSTOMER_ID;
	--WHERE c.EMPLOYMEE_ROLE = 'CUSTOMER';


CREATE VIEW ALL_CUSTOMERS AS
	SELECT * FROM CUSTOMER
	WHERE EMPLOYMEE_ROLE = 'CUSTOMER';

CREATE VIEW ALL_EMPLOYEES AS
	SELECT * FROM CUSTOMER
	WHERE EMPLOYMEE_ROLE != 'CUSTOMER';



CREATE VIEW TRANSACTION_WITH_ACCOUNT_DETAIL AS
	SELECT 
		mt.TRANSACTION_DATE, mt.TRANSACTION_TYPE, mt.AMOUNT,  
		c.FIRST_NAME, c.LAST_NAME, c.USER_NAME,
		a.ACCOUNT_NUMBER, a.CURRENT_BALANCE, a.ACCOUNT_STATUS 
	FROM MONEY_TRANSACTION mt 
	LEFT JOIN ACCOUNT a
	ON mt.ACCOUNT_NUMBER = a.ACCOUNT_NUMBER 
	LEFT JOIN CUSTOMER c
	ON c.CUSTOMER_ID = a.CUSTOMER_ID;




CREATE VIEW TRANSACTION_WITH_BANK_ACCOUNT_DETAIL AS
	SELECT 
		mt.TRANSACTION_DATE, mt.TRANSACTION_TYPE, mt.AMOUNT, a.ACCOUNT_NUMBER, a.CURRENT_BALANCE 
	FROM MONEY_TRANSACTION mt
	LEFT JOIN ACCOUNT a 
	ON MT.ACCOUNT_NUMBER = a.ACCOUNT_NUMBER 





